package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.api.enums
 * @Project：ops-pro
 * @name：FrontendTypeEnum
 * @Date：2025/03/26 10:26
 * @Filename：FrontendTypeEnum
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum FrontendTypeEnum {
    HISTORY("1.0"), // 历史老插件UI
    NORMAL("1.1"), // 官方提供典型的插件UI配置方式
    SPECIAL("1.2"); // 定制插件UI方式

    private final String typeVersion;

    public static FrontendTypeEnum getFrontendTypeObj(String typeVersion) {
        for (FrontendTypeEnum frontendTypeEnum : values()) {
            if (frontendTypeEnum.getTypeVersion().equals(typeVersion)) {
                return frontendTypeEnum;
            }
        }
        return null;
    }
}
