package cd.casic.ci.common.pipeline.pojo.time;

import cd.casic.framework.commons.util.date.DateUtils;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.time
 * @Project：ops-pro
 * @name：BuildRecordTimeLine
 * @Date：2025/03/26 11:11
 * @Filename：BuildRecordTimeLine
 * @description：Todo
 */
@Data
@Schema(title = "各项执行耗时时刻")
public class BuildRecordTimeLine {
    @Schema(title = "执行耗时时刻，计算结果需成对", required = false)
    private List<Moment> executeCostMoments;
    @Schema(title = "等待耗时时刻，计算结果需成对", required = false)
    private List<Moment> waitCostMoments;
    @Schema(title = "排队耗时（流水线并发和Job互斥）时刻，计算结果需成对", required = false)
    private List<Moment> queueCostMoments;

    @Data
    @AllArgsConstructor
    @Schema(title = "时间戳对")
    public static class Moment {
        @Schema(title = "开始时间")
        private long startTime;

        @Schema(title = "结束时间")
        private long endTime;

        public Moment(LocalDateTime startTime, LocalDateTime endTime) {
            this.startTime = DateUtils.LocalDateTimeToMilli(startTime);
            this.endTime = DateUtils.LocalDateTimeToMilli(endTime);
        }
    }
}
