package cd.casic.ci.common.pipeline.pojo.transfer;

import com.fasterxml.jackson.annotation.JsonFilter;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.transfer
 * @Project：ops-pro
 * @name：PreStep
 * @Date：2025/03/26 11:01
 * @Filename：PreStep
 * @description：Todo
 */
@Data
@JsonFilter("yamlMetaDataJsonFilter")
@Schema(title = "PreStep")
public class PreStep implements YamlMetaData {
    private Boolean enable;
    private Object checkout;
    private String name;
    private String id;

    @Schema(title = "if")
    @JsonProperty("if")
    private Object ifField;

    @Schema(title = "if-modify")
    @JsonProperty("if-modify")
    private List<String> ifModify;

    private String uses;
    private Map<String, Object> with;

    @Schema(title = "timeout-minutes")
    @JsonProperty("timeout-minutes")
    private String timeoutMinutes;

    @Schema(title = "continue-on-error")
    @JsonProperty("continue-on-error")
    private Object continueOnError;

    @Schema(title = "retry-times")
    @JsonProperty("retry-times")
    private Integer retryTimes;

    private Map<String, Object> env = new HashMap<>();

    private String run;
    private String shell;

    @Schema(title = "can-manually-retry")
    @JsonProperty("can-manually-retry")
    private Boolean manualRetry;

    public PreStep(String name, String stepId, String s, Map<String, Object> stringObjectMap) {
        this.name = name;
        this.id = stepId;
        this.uses = s;
        this.with = stringObjectMap;
    }

    @Override
    public MetaData getYamlMetaData() {
        return yamlMetaData;
    }

    private MetaData yamlMetaData;


}
