package cd.casic.pipeline.environment.pojo.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;

/**
 * @author by mianbin
 * @Classname NodeType
 * @Description TODO
 * @Date 2025/4/8 20:03
 */
@Getter
@AllArgsConstructor
public enum NodeType {
    CMDB("CMDB"),
    DEVCLOUD("DevCloud虚拟机"),
    THIRDPARTY("第三方构建机"),
    OTHER("其他"),
    UNKNOWN("未知");

    private final String typeName;

    public static List<String> coreTypesName() {
        return Arrays.asList(CMDB.name(), DEVCLOUD.name(), THIRDPARTY.name(), OTHER.name(), UNKNOWN.name());
    }

    public static String getTypeName(String nodeType) {
        for (NodeType type : values()) {
            if (type.name().equals(nodeType)) {
                return type.getTypeName();
            }
        }
        return UNKNOWN.getTypeName();
    }

    public static NodeType parseByTypeName(String typeName) {
        for (NodeType type : values()) {
            if (type.getTypeName().equals(typeName)) {
                return type;
            }
        }
        return UNKNOWN;
    }
}
