package cd.casic.ci.process.api.engine.pojo;

import cd.casic.ci.common.pipeline.enums.BuildStatus;
import cd.casic.ci.common.pipeline.enums.ChannelCode;
import cd.casic.ci.common.pipeline.enums.VersionStatus;
import cd.casic.ci.common.pipeline.pojo.transfer.TemplateInfo;
import cd.casic.ci.process.api.process.pojo.PipelinePermissions;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @author by mianbin
 * @Classname PipelineInfo
 * @Description TODO
 * @Date 2025/3/31 17:00
 */
@Data
@Schema(title = "流水线信息")
public class PipelineInfo {
    @Schema(title = "项目ID")
    private String projectId;
    @Schema(title = "流水线DI")
    private String pipelineId;
    @Schema(title = "模板ID")
    private String templateId;
    @Schema(title = "流水线名称")
    private String pipelineName;
    @Schema(title = "流水线描述")
    private String pipelineDesc;
    @Schema(title = "版本")
    private int version = 1;
    @Schema(title = "创建时间")
    private long createTime = 0;
    @Schema(title = "更新时间")
    private long updateTime = 0;
    @Schema(title = "创建者")
    private String creator;
    @Schema(title = "上一次的更新者")
    private String lastModifyUser;
    @Schema(title = "渠道号")
    private ChannelCode channelCode;
    @Schema(title = "是否能够手动启动")
    private boolean canManualStartup;
    @Schema(title = "是否可以跳过")
    private boolean canElementSkip;
    @Schema(title = "任务数")
    private int taskCount;
    @Schema(title = "版本名称")
    private String versionName = "";
    @Schema(title = "ID")
    private Long id;
    @Schema(title = "流水线组名称列表", required = false)
    private List<String> viewNames;
    @Schema(title = "最后构建启动时间", required = false)
    private Long latestBuildStartTime;
    @Schema(title = "最后构建结束时间", required = false)
    private Long latestBuildEndTime;
    @Schema(title = "最后构建状态", required = false)
    private BuildStatus latestBuildStatus;
    @Schema(title = "最后构建版本号", required = false)
    private Integer latestBuildNum;
    @Schema(title = "最后构建ID", required = false)
    private String latestBuildId;
    @Schema(title = "触发方式", required = false)
    private String trigger;
    @Schema(title = "约束模式下的模板信息", required = false)
    private TemplateInfo templateInfo;
    @Schema(title = "最新流水线版本状态（如有任何发布版本则为发布版本）", required = false)
    private VersionStatus latestVersionStatus = VersionStatus.RELEASED;
    @Schema(title = "流水线权限", required = false)
    private PipelinePermissions permissions;
    @Schema(title = "流水线被锁定，即禁用", required = false)
    private Boolean locked = false;
}
