# DAO与Mapper包名映射关系

## 1. audit模块
```kotlin
com.tencent.devops.process.audit.dao
↓
com.tencent.devops.process.dal.mapper.audit
```

## 2. report模块
```kotlin
com.tencent.devops.process.report.dao
↓
com.tencent.devops.process.dal.mapper.report
```

## 3. pipeline模块
```kotlin
com.tencent.devops.process.pipeline.dao
↓
com.tencent.devops.process.dal.mapper.pipeline
```

## 4. template模块
```kotlin
com.tencent.devops.process.template.dao
↓
com.tencent.devops.process.dal.mapper.template
```

## 5. view模块
```kotlin
com.tencent.devops.process.view.dao
↓
com.tencent.devops.process.dal.mapper.view
```

## 6. label模块
```kotlin
com.tencent.devops.process.label.dao
↓
com.tencent.devops.process.dal.mapper.label
```

## 7. record模块
```kotlin
com.tencent.devops.process.record.dao
↓
com.tencent.devops.process.dal.mapper.record
```

## 8. trigger模块
```kotlin
com.tencent.devops.process.trigger.dao
↓
com.tencent.devops.process.dal.mapper.trigger
```

## 9. atom模块
```kotlin
com.tencent.devops.process.atom.dao
↓
com.tencent.devops.process.dal.mapper.atom
```

## 10. auth模块
```kotlin
com.tencent.devops.process.auth.dao
↓
com.tencent.devops.process.dal.mapper.auth
```

## 包名映射规律
1. 基础包名相同：`com.tencent.devops.process`
2. 模块名相同：如`pipeline`、`template`等
3. 后缀不同：
   - DAO包：`.dao`
   - Mapper包：`.dal.mapper`
4. 完整映射模式：
   ```kotlin
   com.tencent.devops.process.{module}.dao
   ↓
   com.tencent.devops.process.dal.mapper.{module}
   ```
