package cd.casic.ci.project.dal.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(description = "项目-显示模型")
public class ProjectVO {

    @Schema(description = "主键ID")
    private Long id;
    @Schema(description = "项目ID（很少使用）")
    // @JsonProperty("project_id")
    private String projectId;
    @Schema(description = "项目名称")
    // @JsonProperty("project_name")
    private String projectName;
    @Schema(description = "项目代码（蓝盾项目Id）")
    // @JsonProperty("project_code")
    private String projectCode;
    @Schema(description = "项目类型")
    // @JsonProperty("project_type")
    private Integer projectType;
    @Schema(description = "审批状态")
    // @JsonProperty("approval_status")
    private Integer approvalStatus;
    @Schema(description = "审批时间")
    // @JsonProperty("approval_time")
    private String approvalTime;
    @Schema(description = "审批人")
    private String approver;
    @Schema(description = "cc业务ID")
    // @JsonProperty("cc_app_id")
    private Long ccAppId;
    @Schema(description = "cc业务名称")
    // @JsonProperty("cc_app_name")
    private String ccAppName;
    @Schema(description = "创建时间")
    // @JsonProperty("created_at")
    private String createdAt;
    @Schema(description = "创建人")
    private Long creator;
    @Schema(description = "数据ID")
    // @JsonProperty("data_id")
    private Long dataId;
    @Schema(description = "部署类型")
    // @JsonProperty("deploy_type")
    private String deployType;
    @Schema(description = "事业群ID")
    // @JsonProperty("bg_id")
    private String bgId;
    @Schema(description = "事业群名字")
    // @JsonProperty("bg_name")
    private String bgName;
    @Schema(description = "中心ID")
    // @JsonProperty("center_id")
    private String centerId;
    @Schema(description = "中心名称")
    // @JsonProperty("center_name")
    private String centerName;
    @Schema(description = "部门ID")
    // @JsonProperty("dept_id")
    private String deptId;
    @Schema(description = "部门名称")
    // @JsonProperty("dept_name")
    private String deptName;
    @Schema(description = "描述")
    private String description;
    @Schema(description = "英文缩写")
    // @JsonProperty("english_name")
    private String englishName;
    @Schema(description = "extra")
    private String extra;
    @Schema(description = "是否离线")
    //    @get;
    private Boolean offlined;
    @Schema(description = "是否保密")
    //    @get;
    private Boolean secrecy;
    @Schema(description = "是否启用图表激活")
    //    @get;
    private Boolean helmChartEnabled;
    @Schema(description = "kind")
    private Integer kind;
    @Schema(description = "logo地址")
    // @JsonProperty("logo_addr")
    private String logoAddr;
    @Schema(description = "评论")
    private String remark;
    @Schema(description = "修改时间")
    // @JsonProperty("updated_at")
    private String updatedAt;
    @Schema(description = "修改人")
    // @JsonProperty("updated_at")
    private String updator;
    @Schema(description = "useBK")
    // @JsonProperty("use_bk")
    private Boolean useBk;
    @Schema(description = "启用")
    private Boolean enabled;
    @Schema(description = "是否灰度")
    private Boolean gray;
    @Schema(description = "混合云CC业务ID")
    private Long hybridCcAppId;
    @Schema(description = "支持构建机访问外网")
    private Boolean enableExternal;
    @Schema(description = "支持IDC构建机")
    private Boolean enableIdc;
    @Schema(description = "流水线数量上限")
    private Integer pipelineLimit;
    @Schema(description = "项目路由指向")
    private String routerTag;
    @Schema(description = "关联系统Id")
    private String relationId;
    @Schema(description = "项目其他配置")
    private ProjectProperties properties;
    @Schema(description = "项目最大可授权人员范围")
    private List<SubjectScopeInfo> subjectScopes;
    @Schema(description = "是否权限私密")
    private Integer authSecrecy;
    @Schema(description = "项目提示状态,0-不展示,1-展示创建成功,2-展示编辑成功")
    private Integer tipsStatus;
    @Schema(description = "项目审批message")
    private String approvalMsg;
    @Schema(description = "是否拥有新版权限中心项目管理权限")
    private Boolean managePermission;
    @Schema(description = "是否展示用户管理图标")
    private Boolean showUserManageIcon;
    @Schema(description = "渠道")
    private String channelCode;
}
