package cd.casic.pipeline.store.pojo.image.request;

import cd.casic.ci.common.pipeline.type.docker.ImageType;
import cd.casic.pipeline.store.pojo.image.enums.ImageAgentTypeEnum;
import cd.casic.pipeline.store.pojo.image.enums.ImageRDTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class ImageUpdateRequest {
    @Schema(title = "镜像名称", required = true)
    private String imageName;
    
    @Schema(title = "镜像代码", required = true)
    private String imageCode;
    
    @Schema(title = "镜像类型", required = true)
    private ImageType imageType;
    
    @Schema(title = "研发来源 SELF_DEVELOPED：自研 THIRD_PARTY：第三方", required = true)
    private ImageRDTypeEnum rdType;
    
    @Schema(title = "镜像代理类型", required = true)
    private ImageAgentTypeEnum agentType;
}